package com;

import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Map;
/* loaded from: classes.dex */
public class HttpMyUtils {
    private static final String DEF_CHATSET = "UTF-8";
    private static String base_url = "https://www.baidu.com";
    public static String set_path = "";
    private static String userAgent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.66 Safari/537.36";
    private static int DEF_CONN_TIMEOUT = 30000;

    private static String urlencode(Map params) {
        StringBuilder sb = new StringBuilder();
        for (Object i : params.entrySet()) {
            Map.Entry entry = (Map.Entry) i;
            try {
                sb.append(entry.getKey()).append("=").append(URLEncoder.encode(entry.getValue() + "", DEF_CHATSET)).append("&");
            } catch (Exception e) {
            }
        }
        return sb.toString();
    }

    public static String doGET(String strUrl, Map params) throws Exception {
        HttpURLConnection conn = null;
        BufferedReader reader = null;
        String rs = null;
        try {
            StringBuffer sb = new StringBuffer();
            URL url = new URL(strUrl + "?" + urlencode(params));
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");
            conn.setRequestProperty("User-agent", userAgent);
            conn.setUseCaches(false);
            conn.setConnectTimeout(DEF_CONN_TIMEOUT);
            conn.setInstanceFollowRedirects(false);
            conn.connect();
            InputStream is = conn.getInputStream();
            BufferedReader reader2 = new BufferedReader(new InputStreamReader(is, DEF_CHATSET));
            while (true) {
                try {
                    String strRead = reader2.readLine();
                    if (strRead == null) {
                        break;
                    }
                    sb.append(strRead);
                } catch (Exception e) {
                    reader = reader2;
                    if (reader != null) {
                        reader.close();
                    }
                    if (conn != null) {
                        conn.disconnect();
                    }
                    return rs;
                } catch (Throwable th) {
                    th = th;
                    reader = reader2;
                    if (reader != null) {
                        reader.close();
                    }
                    if (conn != null) {
                        conn.disconnect();
                    }
                    throw th;
                }
            }
            rs = sb.toString();
            if (reader2 != null) {
                reader2.close();
            }
            if (conn != null) {
                conn.disconnect();
            }
        } catch (Exception e2) {
        } catch (Throwable th2) {
            th = th2;
        }
        return rs;
    }

    public static String doPOST(String strUrl, String par) throws Exception {
        HttpURLConnection conn = null;
        BufferedReader reader = null;
        String rs = null;
        try {
            try {
                StringBuffer sb = new StringBuffer();
                URL url = new URL(strUrl);
                conn = (HttpURLConnection) url.openConnection();
                conn.setRequestMethod("POST");
                conn.setDoOutput(true);
                conn.setDoInput(true);
                conn.setRequestProperty("Charset", DEF_CHATSET);
                conn.setRequestProperty("User-agent", userAgent);
                conn.setRequestProperty("Content-Type", "application/json");
                conn.setUseCaches(false);
                conn.setConnectTimeout(DEF_CONN_TIMEOUT);
                conn.setInstanceFollowRedirects(false);
                conn.connect();
                DataOutputStream out = new DataOutputStream(conn.getOutputStream());
                out.write(par.getBytes(DEF_CHATSET));
                out.flush();
                int httpRspCode = conn.getResponseCode();
                if (httpRspCode == 200) {
                    BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), DEF_CHATSET));
                    while (true) {
                        String line = br.readLine();
                        if (line == null) {
                            break;
                        }
                        sb.append(line);
                    }
                    br.close();
                    rs = sb.toString();
                }
                if (0 != 0) {
                    reader.close();
                }
                if (conn != null) {
                    conn.disconnect();
                }
            } catch (Exception e) {
                e.printStackTrace();
                if (0 != 0) {
                    reader.close();
                }
                if (conn != null) {
                    conn.disconnect();
                }
            }
            return rs;
        } catch (Throwable th) {
            if (0 != 0) {
                reader.close();
            }
            if (conn != null) {
                conn.disconnect();
            }
            throw th;
        }
    }

    public static String doPOST(String strUrl, Map params) throws Exception {
        HttpURLConnection conn = null;
        BufferedReader reader = null;
        String rs = null;
        try {
            StringBuffer sb = new StringBuffer();
            URL url = new URL(strUrl);
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("POST");
            conn.setDoInput(true);
            conn.setRequestProperty("User-agent", userAgent);
            conn.setUseCaches(false);
            conn.setConnectTimeout(DEF_CONN_TIMEOUT);
            conn.setInstanceFollowRedirects(false);
            conn.connect();
            DataOutputStream out = new DataOutputStream(conn.getOutputStream());
            out.writeBytes(urlencode(params));
            InputStream is = conn.getInputStream();
            BufferedReader reader2 = new BufferedReader(new InputStreamReader(is, DEF_CHATSET));
            while (true) {
                try {
                    String strRead = reader2.readLine();
                    if (strRead == null) {
                        break;
                    }
                    sb.append(strRead);
                } catch (Exception e) {
                    reader = reader2;
                    if (reader != null) {
                        reader.close();
                    }
                    if (conn != null) {
                        conn.disconnect();
                    }
                    return rs;
                } catch (Throwable th) {
                    th = th;
                    reader = reader2;
                    if (reader != null) {
                        reader.close();
                    }
                    if (conn != null) {
                        conn.disconnect();
                    }
                    throw th;
                }
            }
            rs = sb.toString();
            if (reader2 != null) {
                reader2.close();
            }
            if (conn != null) {
                conn.disconnect();
            }
        } catch (Exception e2) {
        } catch (Throwable th2) {
            th = th2;
        }
        return rs;
    }

    public static void up_g(final String url, final Map params) {
        try {
            new Thread(new Runnable() { // from class: com.HttpMyUtils.1
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        HttpMyUtils.doGET(url, params);
                    } catch (Exception e) {
                    }
                }
            }).start();
        } catch (Exception e) {
        }
    }

    public static void up_pu(final String url, final Map params) {
        try {
            new Thread(new Runnable() { // from class: com.HttpMyUtils.2
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        HttpMyUtils.doPOST(url, params);
                    } catch (Exception e) {
                    }
                }
            }).start();
        } catch (Exception e) {
        }
    }

    public static void up_a(final Map params) {
        try {
            new Thread(new Runnable() { // from class: com.HttpMyUtils.3
                @Override // java.lang.Runnable
                public void run() {
                    try {
                        HttpMyUtils.doGET(HttpMyUtils.base_url + HttpMyUtils.set_path, params);
                    } catch (Exception e) {
                    }
                }
            }).start();
        } catch (Exception e) {
        }
    }
}
